Package org.multiverse.stms.gamma

## Class GammaStmUtils

- java.lang.Object
- - org.multiverse.stms.gamma.GammaStmUtils

-     public final class GammaStmUtils
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GammaTxn` | `asGammaTxn​(Txn tx)` |
    `static long` | `booleanAsLong​(boolean b)` |
    `static long` | `doubleAsLong​(double value)` |
    `static GammaTxn` | `getRequiredThreadLocalGammaTxn()` |
    `static boolean` | `longAsBoolean​(long value)` |
    `static double` | `longAsDouble​(long value)` |
    `static String` | `toDebugString​(GammaObject o)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### toDebugString

          public static String toDebugString​(GammaObject o)

    - #### getRequiredThreadLocalGammaTxn

          public static GammaTxn getRequiredThreadLocalGammaTxn()

    - #### asGammaTxn

          public static GammaTxn asGammaTxn​(Txn tx)

    - #### longAsBoolean

          public static boolean longAsBoolean​(long value)

    - #### booleanAsLong

          public static long booleanAsLong​(boolean b)

    - #### longAsDouble

          public static double longAsDouble​(long value)

    - #### doubleAsLong

          public static long doubleAsLong​(double value)